EDIT - bug #10033

For new FeatureTree only uuid is shown in dataportal
04/06/2022 09:42 AM - Katja Luther

Status: Closed Start date: 05/02/2022
Priority: New Due date: 05/06/2022
Assignee: Katja Luther % Done: 30%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.32

Severity: normal Found in Version:

Description

mail WB:

in der Portal Konfiguration kann ich den neuen Feature tree auswéhlen, aber im Gegensatz zu den anderen vorhandenen lauft er
unter einer ID, nicht unter dem Namen:

Associated revisions

Revision 5f4a411c - 06/07/2022 12:33 PM - Katja Luther

ref #10033: if term has no representation use titlecache in termrepresentation_L10n

Revision eec20175 - 06/20/2022 10:57 AM - Katja Luther

ref #10033: vocabulary representation should be editable in taxeditor

History

#1 - 04/06/2022 06:00 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.32

The problem appears if the tree has only a protected titleCache but no presentation. Looks like the portal code does not evaluate the pure titleCache.

Primarily we should fix the portal code but we may also think about handling the title generation differently in TaxEditor and always create a
presentation in the default language (or any other if i18n support is switcht on). The TaxEditor issue may become a new ticket.

I move this to current milestone as it is a good ticket for learning how the dataportal configuration part works codewise.

#2 - 04/27/2022 12:46 PM - Andreas Miuller
- Due date set to 05/06/2022
- Start date set to 05/02/2022

#3 - 05/03/2022 01:28 PM - Katja Luther

Actually the object returned by the ws does not contain the titlecache, independent of the value of the protectedTitleCache field.

#4 - 05/05/2022 02:28 PM - Katja Luther

- Status changed from New to In Progress

- % Done changed from 0 to 10

#5 - 06/07/2022 12:36 PM - Katja Luther

Terms contain an termrepresentation object, this is empty for terms/termcollections created in taxeditor. As a first step the implementation is adapted

in a way that with missing representation, the titteCache was used.

#6 - 06/07/2022 01:19 PM - Katja Luther
- Status changed from In Progress to Resolved

- % Done changed from 10 to 30

We need to adapt the taxeditor implementation, so that not the titlecache but the representation is used.
#7 - 06/07/2022 01:19 PM - Katja Luther

- Status changed from Resolved to In Progress

#8 - 07/29/2022 03:03 PM - Andreas Miiller

- Status changed from In Progress to Feedback

Are there still open issues?

#9 - 07/30/2022 08:27 PM - Andreas Miuller

If this is fixed already please add it to the release notes https:/dev.e-taxonomy.eu/redmine/projects/edit/wiki/Release_Notes

#10 - 08/23/2022 12:57 PM - Katja Luther
- Status changed from Feedback to Closed

Andreas Muller wrote in #note-9:

If this is fixed already please add it to the release notes https:/dev.e-taxonomy.eu/redmine/projects/edit/wiki/Release_Notes

done.
